OpenStack Compute (Nova)

Unable to create a snapshot if original image is not in Glance anymore

Reported by Julien Danjou on 2012-03-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Julien Danjou

Bug Description

If you boot an instance from an image, delete that image from Glance, and then try to snapshot, nova-api errors out:

(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/api/openstack/common.py", line 423, in inner
(nova.api.openstack): TRACE: return f(*args, **kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/api/openstack/compute/servers.py", line 1111, in _action_create_image
(nova.api.openstack): TRACE: extra_properties=props)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/compute/api.py", line 100, in wrapped
(nova.api.openstack): TRACE: return func(self, context, target, *args, **kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/compute/api.py", line 90, in inner
(nova.api.openstack): TRACE: return f(self, context, instance, *args, **kw)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/compute/api.py", line 1116, in snapshot
(nova.api.openstack): TRACE: extra_properties=extra_properties)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/compute/api.py", line 1148, in _create_image
(nova.api.openstack): TRACE: instance)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/compute/api.py", line 1168, in get_minram_mindisk_params
(nova.api.openstack): TRACE: instance['image_ref'])
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/nova/image/glance.py", line 238, in show
(nova.api.openstack): TRACE: raise exception.ImageNotFound(image_id=image_id)
(nova.api.openstack): TRACE: ImageNotFound: Image ef9852cc-b206-46b9-a677-e88d590e77ae could not be found.
(nova.api.openstack): TRACE:

Fix proposed to branch: master
Review: https://review.openstack.org/5949

Changed in nova:
assignee: nobody → Julien Danjou (jdanjou)
status: New → In Progress
Julien Danjou (jdanjou) on 2012-03-29
tags: added: essex-rc-potential

Fix proposed to branch: master
Review: https://review.openstack.org/5950

Thierry Carrez (ttx) on 2012-03-29
Changed in nova:
importance: Undecided → Medium

Reviewed: https://review.openstack.org/5949
Committed: http://github.com/openstack/nova/commit/e52cd4f3420d6f3b437277e7bc9e75d5c0221290
Submitter: Jenkins
Branch: master

commit e52cd4f3420d6f3b437277e7bc9e75d5c0221290
Author: Julien Danjou <email address hidden>
Date: Thu Mar 29 10:52:04 2012 +0200

    Fix exception type in _get_minram_mindisk_params

    This fixes bug #968066

    Change-Id: I5bdb8602fe1d808f9af72252670b40b67b8d41c9

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
status: Fix Committed → In Progress
Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/6033
Committed: http://github.com/openstack/nova/commit/aa3bb137b8849580ae2f1043ea0ff86807a0ef4c
Submitter: Jenkins
Branch: milestone-proposed

commit aa3bb137b8849580ae2f1043ea0ff86807a0ef4c
Author: Julien Danjou <email address hidden>
Date: Thu Mar 29 10:52:04 2012 +0200

    Fix exception type in _get_minram_mindisk_params

    This fixes bug #968066

    Change-Id: I5bdb8602fe1d808f9af72252670b40b67b8d41c9

Changed in nova:
status: Fix Committed → Fix Released
Changed in nova:
status: Fix Released → In Progress
Changed in nova:
status: In Progress → Fix Released
status: Fix Released → In Progress
Thierry Carrez (ttx) on 2012-04-03
Changed in nova:
milestone: none → essex-rc3
tags: removed: essex-rc-potential

Reviewed: https://review.openstack.org/5950
Committed: http://github.com/openstack/nova/commit/ee2b37877d555bbd02d28606de1bb54d284698c1
Submitter: Jenkins
Branch: master

commit ee2b37877d555bbd02d28606de1bb54d284698c1
Author: Julien Danjou <email address hidden>
Date: Thu Mar 29 11:22:21 2012 +0200

    Do not fail to build a snapshot if base image is not found

    This fixes bug #968066

    Change-Id: I1959e4dd7cb19acef54f0e857f4d8b3d40985b77

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/6193
Committed: http://github.com/openstack/nova/commit/477ced47f1815c6d4500bb4ae553d7b5f27a3f3f
Submitter: Jenkins
Branch: milestone-proposed

commit 477ced47f1815c6d4500bb4ae553d7b5f27a3f3f
Author: Julien Danjou <email address hidden>
Date: Thu Mar 29 11:22:21 2012 +0200

    Do not fail to build a snapshot if base image is not found

    This fixes bug #968066

    Change-Id: I1959e4dd7cb19acef54f0e857f4d8b3d40985b77

Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-rc3 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers